#!/bin/bash
# Returns all application service status
. /home/maint/scripts/commonfunctions.sh

product_name="SnapCenter Plug-in for VMware vSphere"
controlplanestatus=$(determineServerStatus controlplane)
#sqsservicestatus=$(determineServerStatus sqsservice)
#smagentstatus=$(determineServerStatus smagent)
scvservicestatus=$(determineServerStatus scvservice)
protectionservicestatusbackup=$(determineServerStatus protectionservice-backup)
protectionservicestatusconfiguration=$(determineServerStatus protectionservice-configuration)
protectionservicestatusjob=$(determineServerStatus protectionservice-job)
protectionservicestatuslogger=$(determineServerStatus protectionservice-logger)
protectionservicestatuspolicy=$(determineServerStatus protectionservice-policy)
protectionservicestatusrbac=$(determineServerStatus protectionservice-rbac)
protectionservicestatusreport=$(determineServerStatus protectionservice-report)
protectionservicestatusresources=$(determineServerStatus protectionservice-resources)
protectionservicestatusscheduler=$(determineServerStatus protectionservice-scheduler)
protectionservicestatusstorage=$(determineServerStatus protectionservice-storage)
	
	
if [[ $controlplanestatus == "Running" && 
	  $protectionservicestatusbackup == "Running" && 
	  $protectionservicestatusconfiguration == "Running"  && 
	  $protectionservicestatusjob == "Running"  && 
	  $protectionservicestatuslogger == "Running"  && 
	  $protectionservicestatuspolicy == "Running"  && 
	  $protectionservicestatusrbac == "Running"  && 
	  $protectionservicestatusreport == "Running"  &&
	  $protectionservicestatusresources == "Running"  && 
	  $protectionservicestatusscheduler == "Running"  && 
      $protectionservicestatusstorage == "Running" && 
#	  $sqsservicestatus == "Running" && 
#	  $smagentstatus == "Running" && 
	  $scvservicestatus == "Running"  
	]]; then
	echo "$product_name  : Running"
else 
	echo "$product_name  : Not Running"	
fi
	
