#!/bin/bash

function main() {
	SERVICENAME=$1
	WAIT_TIME=2
	RETRY_COUNT=60
	retry=$RETRY_COUNT
	while [ $retry -gt 0 ]
	do
		status=`systemctl is-active $SERVICENAME`
		
		if [ "$status" = "active" ]; then
			echo "$SERVICENAME found active and ready to start dependent service(s)"	
			break
		else
			retry=`expr $retry - 1`
			sleep $WAIT_TIME 
		fi
	done
	if [ $retry -eq 0 ] ; then
		echo "$SERVICENAME not found active , will need to reboot the appliance"
	fi	

}
main "$@"
